/* mbRFslv.h   

Header file for mbRFslv.c */

// User Configuration Section *************************************
#define RF_LED_ON()   sbi(PORTB, 0)
#define RF_LED_OFF()  cbi(PORTB, 0)
// Define pin used to control power to the RF transmitter module
#define RF_XMT_POWER_ON()  sbi(PORTD, 7)
#define RF_XMT_POWER_OFF() cbi(PORTD, 7)
#define RF_RCV_INTERRUPT_ENABLED() sbi(UART_CONTROL_REG, 7)
#define RF_RCV_INTERRUPT_DISABLED() cbi(UART_CONTROL_REG, 7)

// Set maximun packet size, limited to 64 or amount of available RAM
#define MAX_BYTES  24

// Set Baud Rate - two ways: from table in StdDefs.h of BAUD2400 format,
//                 and numerically, BAUD = 2400.  Must agree, of course.
//                 Baudrate can not be more that 38K.
#define BAUDRATE  BAUD4800
#define BAUD      4800

// Results in 4096 counts per second, or 4 counts per ms using a 32 KHz
// crystal for TOSC.  Min timeout is 0.5 ms, max is 64 ms
// Ideal is 4 x the duration of one byte (1 ms at 9600 baud)
// Based on a free running timer with a rollover time at least
// 50% more than the Timeout period desired
#define TIMEOUT_PERIOD  200
// The second version disables the timeout timer
//#define RESET_TIMER()   RFTimeout = inp(TCNT0)
//#define RESET_TIMER_REG  inp(TCNT0)
// or
#define RESET_TIMER()  RFTimeout = 0
#define RESET_TIMER_REG  1


// End of User Configuration Section ******************************

volatile INT16U RFTimeout;
void InitializeRF(void);
void CheckRFTimeout(void);
void SendToMaster(CHARU addr, CHARU len, CHARU *Data);
INT16U OneByteDelayTime;   // Used in MSleep as 1/10s of a second











                    